/* Programme de surveillance gel et feu
 * Si la température dépasse 50 °C LED rouge s'allume
 * Si la température est inférieure à 10°C LED bleu s'allume
 */

 // Déclaration des constantes
 const int Attente = 1000 ;         // temps d'attente entre chaque exécution de boucle en ms
 const int EntreeTemp = A1;         // entrée analogique sur A1
 const int SortieLedRouge = 12;     // sortie numérique pour ledrouge pin 12
 const int SortieLedBleue = 8;      // sortie numérique pour ledbleue pin 8
 const int TropFroid = 250; 	   // valeur déterminée sur la courbe d'étalonnage correspondant à temp = 10°C
 const int TropChaud = 625; 	   // valeur déterminée sur la courbe d'étalonnage correspondant à temp = 50°C

 // déclaration des variables
 boolean  EtatLedRouge = LOW;       // par défaut la led rouge est éteinte
 boolean  EtatLedBleue = LOW;       // par défaut la led bleue est éteinte
 int ValeurLue;                     // Valeur numérique lue sur l'entrée analogique
 
 
void setup() {
  Serial.begin(9600);
  pinMode(SortieLedRouge,OUTPUT); // définit la broche correspondante en sortie
  pinMode(SortieLedBleue,OUTPUT); 
}

void loop() 
{
  ValeurLue =analogRead(EntreeTemp);	// lecture sur le port analogique

  // Si la valeur lue indique que la température est inférieure au seuil bas, on allume la LED bleue
  if (ValeurLue < TropFroid)
  {
    digitalWrite(SortieLedBleue, HIGH);
  }
  else 
  {
    digitalWrite(SortieLedBleue, LOW);
  }

  // Si la valeur lue indique que la température est supérieure au seuil haut, on allume la LED rouge
  if (ValeurLue > TropChaud)
  {
    digitalWrite(SortieLedRouge, HIGH);
  }
  else 
  {
    digitalWrite(SortieLedRouge, LOW);
  }

  // La valeur lue sur le port analogique est transmise sur le port série

  Serial.println(ValeurLue);
  
  //Attente avant nouvelle mesure
  delay(Attente);


}
